Summary: Bluetooth utilities 
Name: bluez-utils
Version: 3.36
Release: 1%{?dist}
License: GPLv2+
Group: Applications/System
Source: http://bluez.sourceforge.net/download/%{name}-%{version}.tar.gz
Source1: bluetooth.init
Source2: pand.init
Source3: dund.init
Source6: pand.conf
Source7: dund.conf
Source9: bluetooth.conf
Patch0: bluez-utils-2.3-conf.patch
Patch1: bluez-utils-oui-usage.patch
Patch2: bluez-utils-3.36-input-no-sdp.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://www.bluez.org/
BuildRequires: bluez-libs-devel >= 3.35
BuildRequires: flex
BuildRequires: dbus-devel >= 0.90
BuildRequires: libusb-devel, glib2-devel, alsa-lib-devel
BuildRequires: gstreamer-plugins-base-devel, gstreamer-devel, hal-devel
BuildRequires: dbus-glib-devel
ExcludeArch: s390 s390x
Obsoletes: bluez-pan, bluez-sdp
Requires: initscripts, bluez-libs >= %{version}
Requires: dbus >= 0.60
Requires: hwdata >= 0.215
Requires: dbus-bluez-pin-helper
Requires(preun): /sbin/chkconfig, /sbin/service
Requires(post): /sbin/chkconfig, /sbin/service

%description
Bluetooth utilities (bluez-utils):
	- hcitool
	- hciattach
	- hciconfig
	- hcid
	- l2ping
	- start scripts (Red Hat)
	- pcmcia configuration files

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%package cups
Summary: CUPS printer backend for Bluetooth printers
Group: System Environment/Daemons
Requires: bluez-libs >= %{version}
Requires: cups

%package gstreamer
Summary: gstreamer support for SBC audio format
Group: System Environment/Daemons
Requires: bluez-libs >= %{version}

%package alsa
Summary: ALSA support for Bluetooth audio devices
Group: System Environment/Daemons
Requires: bluez-libs >= %{version}

%description cups
This package contains the CUPS backend 

%description gstreamer
This package contains gstreamer plugins for the Bluetooth SBC audio format

%description alsa
This package contains ALSA support for Bluetooth audio devices

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1
%patch1 -p0 -b .oui
%patch2 -p1

%build
%configure --with-bluez-libs=%{_libdir} --enable-pie --enable-debug \
	   --enable-all --disable-bcm203x --enable-alsa --enable-bccmd \
	   --enable-avctrl --enable-glib --enable-input --enable-echo \
	   --enable-serial --disable-sdpd --enable-audio --disable-sync \
	   --disable-obex --enable-network --enable-cups --enable-pcmciarules \
	   --enable-hidd --enable-hid2hci --enable-dund --enable-pand
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT rulesdir=%{_sysconfdir}/udev/rules.d udevdir=/lib/udev
rm -f $RPM_BUILD_ROOT/etc/default/bluetooth $RPM_BUILD_ROOT/etc/init.d/bluetooth
for a in bluetooth dund pand ; do 
	install -D -m0755 $RPM_SOURCE_DIR/$a.init $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/$a
	install -D -m0644 $RPM_SOURCE_DIR/$a.conf $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/$a
done

# Remove the cups backend from libdir, and install it in /usr/lib whatever the install
rm -rf ${RPM_BUILD_ROOT}%{_libdir}/cups
install -D -m0755 cups/bluetooth ${RPM_BUILD_ROOT}/usr/lib/cups/backend/bluetooth
mv $RPM_BUILD_ROOT/%{_sysconfdir}/udev/rules.d/bluetooth.rules $RPM_BUILD_ROOT/%{_sysconfdir}/udev/rules.d/97-bluetooth.rules

install -m0644 audio/audio.conf $RPM_BUILD_ROOT/%{_sysconfdir}/bluetooth/audio.conf
install -m0644 network/network.conf $RPM_BUILD_ROOT/%{_sysconfdir}/bluetooth/network.conf

rm -f $RPM_BUILD_ROOT/%{_libdir}/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --del hidd >/dev/null 2>&1 || :

/sbin/chkconfig --add bluetooth
/sbin/chkconfig --add dund
/sbin/chkconfig --add pand
if [ "$1" -ge "1" ]; then
	/sbin/service bluetooth condrestart >/dev/null 2>&1 || :
	/sbin/service dund condrestart >/dev/null 2>&1 || :
	/sbin/service pand condrestart >/dev/null 2>&1 || :
fi
exit 0

%preun
if [ "$1" = "0" ]; then
	/sbin/service bluetooth stop >/dev/null 2>&1 || :
	/sbin/service dund stop >/dev/null 2>&1 || :
	/sbin/service pand stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del bluetooth
	/sbin/chkconfig --del dund
	/sbin/chkconfig --del pand
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README doc/*.txt
/etc/rc.d/init.d/*
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*
%{_libdir}/bluetooth
%dir %{_sysconfdir}/bluetooth/
%config(noreplace) %{_sysconfdir}/bluetooth/*
%config(noreplace) %{_sysconfdir}/sysconfig/*
%config %{_sysconfdir}/dbus-1/system.d/*
%config %{_sysconfdir}/udev/rules.d/97-bluetooth.rules
/lib/udev/bluetooth_serial
%dir /var/lib/bluetooth

%files cups
%defattr(-, root, root)
/usr/lib/cups/backend/bluetooth

%files gstreamer
%defattr(-, root, root)
%{_libdir}/gstreamer-*/*.so

%files alsa
%defattr(-, root, root)
%{_libdir}/alsa-lib/*.so

%changelog
* Sat Sep 13 2008 - David Woodhouse <David.Woodhouse@intel.com> - 3.36-1
- Update to 3.36  
- Re-enable pand
- Add -x to hcid args to enable BlueZ 4.0 APIs
- Don't fail when input device has no PnP record

* Fri Sep 12 2008 - Bastien Nocera <bnocera@redhat.com> - 3.35-5
- Re-add chkconfig code to the initscript (#448888)

* Mon Aug 11 2008 - Bastien Nocera <bnocera@redhat.com> - 3.35-4
- Re-add dund (#458680)

* Thu Jul 10 2008 - Will Woods <wwoods@redhat.com> - 3.35-3
- Re-add hid2hci

* Fri Jul 04 2008 - Bastien Nocera <bnocera@redhat.com> - 3.35-2
- Re-enable hidd

* Thu Jul 03 2008 - Bastien Nocera <bnocera@redhat.com> - 3.35-1
- Update to 3.35

* Fri Jun 27 2008 - Bastien Nocera <bnocera@redhat.com> - 3.34-1
- Update to 3.34

* Thu Jun 12 2008 - Bastien Nocera <bnocera@redhat.com> - 3.32-1
- Update to 3.32

* Sun Apr 06 2008 - Bastien Nocera <bnocera@redhat.com> - 3.30-2
- Add support for Dell HID/HCI switch

* Fri Apr 04 2008 - Bastien Nocera <bnocera@redhat.com> - 3.30-1
- Update to 3.30

* Tue Mar 25 2008 - Bastien Nocera <bnocera@redhat.com> - 3.29-1
- Update to 3.29

* Tue Mar 04 2008 David Woodhouse <dwmw2@infradead.org> - 3.27-1
- Update to 3.27
- Ship audio.conf (#278831)
- Ship network service

* Mon Feb 11 2008 - Bastien Nocera <bnocera@redhat.com> - 3.26-1
- Update to 3.26

* Sat Feb 02 2008 - Bastien Nocera <bnocera@redhat.com> - 3.25-1
- Update to 3.25

* Thu Jan 31 2008 - Bastien Nocera <bnocera@redhat.com> - 3.24-1
- Update to 3.24
- Fix dund and pand starting before hcid (#429489)

* Fri Jan 25 2008 - Bastien Nocera <bnocera@redhat.com> - 3.23-2
- Fix hcid trying to find the OUI file somewhere in /var (#428803)

* Mon Dec 10 2007 - Bastien Nocera <bnocera@redhat.com> - 3.23-1
- Update to 3.23

* Sun Oct 28 2007 Jeremy Katz <katzj@redhat.com> - 3.22-6
- fix scriptlet errors (#354531)

* Fri Oct 26 2007 - Bastien Nocera <bnocera@redhat.com> 3.22-5
- Update to bluez-utils 3.22
- Remove alsa-lib dep for the alsa sub-package, pulled in by
  library deps

* Fri Oct 26 2007 - Bastien Nocera <bnocera@redhat.com> 3.20-5
- Remove unneeded gstreamer dependency in the gstreamer sub-package

* Thu Oct 25 2007 Joe Orton <jorton@redhat.com> 3.20-4
- more scriptlet fixes; only condrestart in post on upgrade,
  ignore failures

* Thu Oct 25 2007 Joe Orton <jorton@redhat.com> 3.20-3
- fix %%post failures (#351981)
- use Requires(preun,post) not Prereq
- remove "Requires: cups" for -alsa and -gstreamer

* Sat Oct 06 2007 - Bastien Nocera <bnocera@redhat.com> 3.20-2
- Remove hard-dependency on bluez-gnome, and use the virtual
  provides for dbus-bluez-pin-helper insted (#212421)

* Fri Oct 05 2007 - Bastien Nocera <bnocera@redhat.com> 3.20-1
- Update the init header so that chkconfig starts hcid after
  D-Bus has, patch from Will Woods <wwoods@redhat.com> (#279291)
- Update to bluez-utils 3.20
- Disable sync and transfer services and prune buildreqs

* Thu Oct 04 2007 - Bastien Nocera <bnocera@redhat.com> 3.19-2
- Disable hid2hci by default, it causes more problems than
  it solves on stock installations (especially on Macs, #157971)

* Sun Sep 16 2007 David Woodhouse <dwmw2@infradead.org> 3.19-1
- Update to bluez-utils 3.19

* Wed Sep 12 2007 David Woodhouse <dwmw2@infradead.org> 3.18-1
- Update to bluez-utils 3.18

* Thu Aug 30 2007 David Woodhouse <dwmw2@infradead.org> 3.17-1
- Update to bluez-utils 3.17

* Wed Aug 29 2007 David Woodhouse <dwmw2@infradead.org> 3.16-3
- Fix library build breakage

* Wed Aug 29 2007 David Woodhouse <dwmw2@infradead.org> 3.16-2
- Fix BuildRequires

* Tue Aug 28 2007 David Woodhouse <dwmw2@infradead.org> 3.16-1
- Update to bluez-utils 3.16
- Enable gstreamer and alsa subpackages

* Thu Aug 23 2007 David Woodhouse <dwmw2@infradead.org> 3.15-1
- Update to bluez-utils 3.15
- Drop class setting from hcid.conf since HAL sets it anyway

* Wed Aug 22 2007 David Woodhouse <dwmw2@infradead.org> 3.14-1
- Update to bluez-utils 3.14
- Update licence

* Wed Aug  1 2007 David Woodhouse <dwmw2@infradead.org> 3.13-1
- Update to bluez-utils 3.13
- Kill hidd init script -- the input service replaces it
- Update other init scripts.

* Sat Jul 21 2007 David Woodhouse <dwmw2@infradead.org> 3.12-1
- Update to bluez-utils 3.12
- Fix reference dev-up script in pand.1 (#213984)
- Include API docs (#241480)

* Fri Jun 01 2007 Bastien Nocera <bnocera@redhat.com> - 3.11-2
- Add upstream patch to list discovered printer devices in the
  CUPS backend

* Sat May 26 2007 Bastien Nocera <bnocera@redhat.com> - 3.11-1
- Update to bluez-utils 3.11
- Move the cups backend to its expected location (#237482)
- Remove merged input patch
- Make sure the echo, input and serial services are installed

* Tue Jan 30 2007 David Woodhouse <dwmw2@infradead.org> 3.9-2
- Handle HUP or ERR results from poll() instead of looping (#232813)

* Tue Jan 30 2007 David Woodhouse <dwmw2@infradead.org> 3.9-1
- Update to bluez-utils 3.9

* Sat Sep 30 2006 David Woodhouse <dwmw2@infradead.org> 3.7-2
- Fix udev handling of PCMCIA serial+bluetooth devices

* Sat Sep 30 2006 David Woodhouse <dwmw2@infradead.org> 3.7-1
- Update to bluez-utils 3.7

* Wed Jul 19 2006 John (J5) Palmieri <johnp@redhat.com> - 2.25-12
- Rebuild for dbus

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.25-11.1
- rebuild

* Sun Jun 11 2006 David Woodhouse <dwmw2@infradead.org> 2.25-11
- Really rebuild against bluez-libs-3.0 (libbluetooth.so.2)

* Sun Jun 11 2006 David Woodhouse <dwmw2@infradead.org> 2.25-10
- Rebuild against bluez-libs-3.0 (libbluetooth.so.2)

* Tue May 16 2006 Karsten Hopp <karsten@redhat.de> 2.25-9
- buildrequire libusb-devel, otherwise dfutool,avctrl,bccmd,hid2hci won't
  get built in a mock environment

* Mon May 15 2006 Dan Walsh <dwalsh@redhat.com> - 2.25-8
* Add /var/lib/bluetooth to be owned by package

* Fri Apr 21 2006 David Woodhouse <dwmw2@redhat.com> - 2.25-7
- Fix invalid timeval in reconnect_timer_start()

* Mon Apr 17 2006 Peter Jones <pjones@redhat.com> - 2.25-6
- Clean up initscripts.
- Clean up specfile.

* Thu Mar 23 2006 Peter Jones <pjones@redhat.com> - 2.25-5
- Don't poll every 200ms when nothing happens unless there's poll event
  in hidd.

* Wed Mar 14 2006 David Woodhouse <dwmw2@redhat.com> - 2.25-4
- Require bluez-pin, since we're configured to use it by default

* Tue Mar  7 2006 Jeremy Katz <katzj@redhat.com> - 2.25-3
- more initscript tweaking

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 2.25-2
- fix initscripts to be more resilient of files missing to clean up 
  scriptlet errors on install

* Thu Feb 23 2006 David Woodhouse <dwmw2@redhat.com> - 2.25-1
- Update to bluez-utils 2.25
- Add hidd init script (#182274)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.22-2.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.22-2.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> - 2.22-2.1
- rebuilt

* Thu Dec  1 2005 John (J5) Palmieri <johnp@redhat.com> - 2.22-2
- rebuild for the new dbus

* Sun Nov  6 2005 David Woodhouse <dwmw2@redhat.com> 2.22-1
- Update to bluez-utils 2.22

* Mon Sep  5 2005 David Woodhouse <dwmw2@redhat.com> 2.20-1
- Update to bluez-utils 2.20

* Thu Aug 25 2005 David Woodhouse <dwmw2@redhat.com> 2.19-3
- Use dbus fixes from upstream

* Mon Aug 22 2005 David Woodhouse <dwmw2@redhat.com> 2.19-2
- Fix calls to dbus_message_append_args()

* Mon Aug  8 2005 David Woodhouse <dwmw2@redhat.com> 2.19-1
- Update to bluez-utils 2.19

* Mon May  2 2005 David Woodhouse <dwmw2@redhat.com> 2.15-7
- Run hidd by default (#155831)

* Mon May  2 2005 Miloslav Trmac <mitr@redhat.com> - 2.15-6
- Add missing backslashes to init script descriptions (#154494, patch by Ville
  Skyttä)

* Fri Mar 25 2005 Florian La Roche <laroche@redhat.com>
- make sure post/postun end with a "exit 0"

* Tue Mar 8 2005 John (J5) Palmieri <johnp@redhat.com> 2.15-4
- fixup new_dbus_api patch

* Tue Mar 8 2005 John (J5) Palmieri <johnp@redhat.com> 2.15-3
- add patch to update to new dbus-0.31 api

* Thu Mar 3 2005 David Woodhouse <dwmw2@redhat.com> 2.15-2
- Don't abort if dbus isn't available at startup; try again when 
  we actually need it

* Wed Mar 2 2005 David Woodhouse <dwmw2@redhat.com> 2.15-1
- Update to bluez-utils 2.15
- Add Obsoletes: bluez-sdp (#131653)
- Fix hidd default args (#145939)
- Make /etc/pcmcia/bluetooth executable (#148752)
- Use dbus PIN by default (#131603, #134856, #145993)
- Don't report hidd status in bluetooth initscript (#139169)

* Thu Jan 20 2005 David Woodhouse <dwmw2@redhat.com> 2.14-1
- Update to bluez-utils 2.14

* Wed Jan 12 2005 David Woodhouse <dwmw2@redhat.com> 2.13-1
- Update to bluez-utils 2.13

* Tue Dec 07 2004 Florian La Roche <laroche@redhat.com>
- add prereq for service/chkconfig

* Wed Dec 01 2004 Phil Knirsch <pknirsch@redhat.com> 2.10-3
- Minor dependancy fix (missing initscripts for post stuff)
- Switch Copyright to License

* Mon Aug 16 2004 David Woodhouse <dwmw2@redhat.com> 2.10-2
- Rebuild against new bluez-libs with nicer unaligned access macros

* Sat Aug 14 2004 David Woodhouse <dwmw2@redhat.com> 2.10-1
- Update to bluez-utils 2.10

* Fri Aug 13 2004 David Woodhouse <dwmw2@redhat.com> 2.9-2
- Merge PIE patch from upstream
- Don't enable auth and encrypt by default.

* Tue Aug 03 2004 David Woodhouse <dwmw2@redhat.com> 2.9-1
- Update to bluez-utils 2.9

* Tue Jul 20 2004 David Woodhouse <dwmw2@redhat.com> 2.8-1
- Update to bluez-utils 2.8

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Jun 06 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- add the necessary defattr for the cups sub-rpm

* Wed May 19 2004 David Woodhouse <dwmw2@redhat.com> 2.7-3
- Include bluetooth.conf in sources.
- Make new bluez-utils-cups package for CUPS backend.

* Wed May 12 2004 David Woodhouse <dwmw2@redhat.com> 2.7-2
- Build PIE

* Tue May 11 2004 David Woodhouse <dwmw2@redhat.com> 2.7-1
- Update to bluez-utils 2.7

* Mon Mar 15 2004 David Woodhouse <dwmw2@redhat.com> 2.4-3
- Update to dbus-0.20 compatible code from bluez-utils CVS

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 09 2004 Karsten Hopp <karsten@redhat.de> 2.4-1 
- update to 2.4
- new -build patch
- new -hciattach-initspeed patch
- new -pinwait patch

* Mon Feb 09 2004 Karsten Hopp <karsten@redhat.de> 2.3-15
- fix updates. Last command run at update was  
  /sbin/chkconfig --del bluetooth (Dag Wieers)

* Wed Oct 22 2003 Karsten Hopp <karsten@redhat.de> 2.3-14
- add status to initscript (#106265)

* Tue Sep 09 2003 David Woodhouse <dwmw2@redhat.com> 2.3-13
- Make config files noreplace to fix #104074

* Fri Sep 05 2003 David Woodhouse <dwmw2@redhat.com> 2.3-12
- Updated dbus patch to fix conf file parser.

* Sat Aug 30 2003 David Woodhouse <dwmw2@redhat.com> 2.3-11
- Ignore SIGCHLD.

* Sat Aug 30 2003 David Woodhouse <dwmw2@redhat.com> 2.3-10
- Don't ignore SIGCHLD.

* Tue Aug 26 2003 David Woodhouse <dwmw2@redhat.com> 2.3-9 
- Init script enabled by default

* Fri Jun 20 2003 David Woodhouse <dwmw2@redhat.com> 2.3-8
- Use aclocal-1.4 not aclocal

* Fri Jun 20 2003 David Woodhouse <dwmw2@redhat.com> 2.3-7
- Add Phil Blundell's dbus patch
- chkconfig and condrestart in %post

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com> 2.3-6
- rebuilt

* Tue May 06 2003 David Woodhouse <dwmw2@redhat.com> 2.3-5
- Fix tmpfile bug

* Sun Apr 27 2003 David Woodhouse <dwmw2@redhat.com> 2.3-4
- Work around fontconfig bug when invoked with no HOME in environment

* Sun Apr 27 2003 David Woodhouse <dwmw2@redhat.com> 2.3-3
- Unignore SIGCHLD before starting pin helper, report its return code

* Fri Apr 25 2003 David Woodhouse <dwmw2@redhat.com> 2.3-2
- Fix bluepin some more.

* Thu Apr 24 2003 David Woodhouse <dwmw2@redhat.com> 2.3-1
- Upgrade to bluez-utils 2.3
- Fix, document and use 'rfcomm bind all'
- Support sending break and changing initial speed in hciattach
- Fix bluepin for gtk2

* Mon Apr 14 2003 Bill Nottingham <notting@redhat.com> 2.2-4
- fix reference to bluepin in /etc/pcmcia/hcid.conf (#88797)

* Mon Feb 24 2003 Bill Nottingham <notting@redhat.com> 2.2-3
- fix errors from cardmgr on startup

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Jan 19 2003 Matt Wilson <msw@redhat.com> 2.2-1
- configure with --with-bluez-libs=%%{_libdir}

* Fri Jan 17 2003 Bill Nottingham <notting@redhat.com> 2.2-1
- adapt upstream rpm

* Tue Aug 13 2002 Sebastian Frankfurt <sf@infesto.de>
- Initial RPM
